"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = parseUrl;

var _toArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toArray"));

function parseUrl(url) {
  var defaultHost = "http://localhost:3000";
  var defaultPath = "/api/auth";

  if (!url) {
    url = "".concat(defaultHost).concat(defaultPath);
  }

  var protocol = url.startsWith("http:") ? "http" : "https";
  url = url.replace(/^https?:\/\//, "").replace(/\/$/, "");

  var _url$split = url.split("/"),
      _url$split2 = (0, _toArray2.default)(_url$split),
      _host = _url$split2[0],
      _path = _url$split2.slice(1);

  var baseUrl = _host ? "".concat(protocol, "://").concat(_host) : defaultHost;
  var basePath = _path.length > 0 ? "/".concat(_path.join("/")) : defaultPath;
  return {
    baseUrl: baseUrl,
    basePath: basePath
  };
}